Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class FeatureResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wfs.operation.FeatureResult

All Implemented Interfaces:
  OGCWebServiceResponse

Direct Known Subclasses:
  FeatureWithLockResult

    public class FeatureResult

extends DefaultOGCWebServiceResponse

Represents the response to a `GetFeature` request.

The response to a `GetFeature` request is controlled by the outputFormat attribute. The default value for the outputFormat attribute shall be GML indicating that a WFS must generate a GML document of the result set that conforms to the Geography Markup Language (GML) 3.1.1 specification. Vendor specific output formats can also be generated but they must be declared in the capabilities document.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`FeatureResult(AbstractOGCWebServiceRequest request, FeatureCollection featureCollection)` Creates a new instance of `FeatureResult`.

Method Summary
`Object` | `getResponse()` Returns the result as a `FeatureCollection`.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureResult

    public FeatureResult(AbstractOGCWebServiceRequest request,
                         FeatureCollection featureCollection)

  Creates a new instance of `FeatureResult`.

  Parameters:
    `request` -
    `featureCollection` -

Method Detail

### getResponse

    public Object getResponse()

  Returns the result as a `FeatureCollection`.

  Returns:
    the result as a FeatureCollection

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `DefaultOGCWebServiceResponse`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org